# Class Page

java.lang.Object
net.sf.statcvs.pages.Page

All Implemented Interfaces:
  `NavigationNode`

public class Page extends Object implements NavigationNode

## Constructor Summary

Constructors
Constructor
Description
`Page(ReportConfig config, String fileName, String shortTitle, String fullTitle)`
Creates a new page.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(ChartImage chart)`
`void`
`add(ChartImage chart, String linkURL)`
`void`
`add(Directory directory, boolean withRootLinks)`
`void`
`add(PageGroup pages)`
`void`
`add(TableReport table)`
`void`
`addAttribute(String key, double value, int decimalPlaces)`
`void`
`addAttribute(String key, double value, int decimalPlaces, String unit)`
`void`
`addAttribute(String key, int value)`
`void`
`addAttribute(String key, int value, String unit)`
`void`
`addAttribute(String key, String value)`
`void`
`addAttribute(String key, Date value)`
`void`
`addChild(NavigationNode child)`
`void`
`addLink(String url, String text)`
`void`
`addRawAttribute(String key, String rawValue)`
`void`
`addRawContent(String s)`
`void`
`addSection(String title)`
`String`
`asParentLink()`
`String`
`getFullTitle()`
`String`
`getShortTitle()`
`String`
`getURL()`
`void`
`setParent(NavigationNode parent)`
Sets the page's parent.
`void`
`setShowLinkToPreviousSibling(boolean showLink)`
`void`
`setSiblings(String siblingsTitle, List siblingPages)`
Sets a list of `Page`s that are siblings of this page.
`void`
`write()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Page

public Page(ReportConfig config, String fileName, String shortTitle, String fullTitle)
Creates a new page.

Parameters:
  `config` - The configuration to use
  `fileName` - File name for the page, without file extension
  `shortTitle` - A short navigation title
  `fullTitle` - A full headline title

## Method Details

### setParent

public void setParent(NavigationNode parent)
Description copied from interface: `NavigationNode`
Sets the page's parent. The generated page will link back to the parent.

Specified by:
  `setParent` in interface `NavigationNode`

### setSiblings

public void setSiblings(String siblingsTitle, List siblingPages)
Sets a list of `Page`s that are siblings of this page. The generated page will contain a navigation list that links to all siblings. The sibling list may contain the page itself.

Specified by:
  `setSiblings` in interface `NavigationNode`
Parameters:
  `siblingsTitle` - Title for navigation list, e.g. "Monthly Reports"
  `sibling` - A list of `Page`s

### addChild

public void addChild(NavigationNode child)

### getURL

public String getURL()

Specified by:
  `getURL` in interface `NavigationNode`

### getShortTitle

public String getShortTitle()

Specified by:
  `getShortTitle` in interface `NavigationNode`

### getFullTitle

public String getFullTitle()

Specified by:
  `getFullTitle` in interface `NavigationNode`

### setShowLinkToPreviousSibling

public void setShowLinkToPreviousSibling(boolean showLink)

Specified by:
  `setShowLinkToPreviousSibling` in interface `NavigationNode`

### addAttribute

public void addAttribute(String key, int value)

### addAttribute

public void addAttribute(String key, int value, String unit)

### addAttribute

public void addAttribute(String key, Date value)

### addAttribute

public void addAttribute(String key, String value)

### addAttribute

public void addAttribute(String key, double value, int decimalPlaces)

### addAttribute

public void addAttribute(String key, double value, int decimalPlaces, String unit)

### addRawAttribute

public void addRawAttribute(String key, String rawValue)

### addRawContent

public void addRawContent(String s)

### addSection

public void addSection(String title)

### addLink

public void addLink(String url, String text)

### add

public void add(ChartImage chart)

### add

public void add(ChartImage chart, String linkURL)

### add

public void add(TableReport table)

### add

public void add(Directory directory, boolean withRootLinks)

### add

public void add(PageGroup pages)

### write

public void write()

Specified by:
  `write` in interface `NavigationNode`

### asParentLink

public String asParentLink()

Specified by:
  `asParentLink` in interface `NavigationNode`